Summary:	Input Pad for IBus
Summary(pl.UTF-8):	Input Pad (ekranowa tablica wprowadzania znaków) dla IBusa
Name:		ibus-input-pad
Version:	1.5.0
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/fujiwarat/ibus-input-pad/releases
Source0:	https://github.com/fujiwarat/ibus-input-pad/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	342ce2eb5a1f8cd6d344a9e3a5a458d7
URL:		https://github.com/fujiwarat/ibus-input-pad
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.37.0
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	ibus-devel >= 1.5.3
BuildRequires:	input-pad-devel >= 1.1
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.37.0
Requires:	gtk+3 >= 3.10
Requires:	ibus >= 1.5.3
Requires:	input-pad >= 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The input pad engine for IBus platform.

%description -l pl.UTF-8
Silnik Input Pad (ekranowa tablica wprowadzania znaków) dla platformy
IBus.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libexecdir}/ibus-engine-input-pad
%attr(755,root,root) %{_libexecdir}/ibus-setup-input-pad
%{_datadir}/ibus/component/input-pad.xml
%{_desktopdir}/ibus-setup-input-pad.desktop
%changelog
* Sun Apr 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-input-pad.git;a=log;h=master

* Sat Apr 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 061c92b
- updated to 1.5.0 for ibus 1.5/input-pad 1.1.x

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 0897699
- updated URLs

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 68023ae
- updated gettext BR

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 575b866
- updated to 1.4.2

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> e00b1f9
- updated to 1.4.1

* Wed Nov 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 751499d
- pl, revised BRs, more docs

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 687d3ef
- rebuild with ibus 1.4.99
- release 2 (by relup.sh)

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 0d768f3
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 0a03a3d
- initial revision

